import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import ftcomputing.robo.*;

/**
 * Betrieb eines Motors am Robo Interface ber ein Swing-Fenster
 * Motor an M3 links, rechts bei mousePressed, aus bei mouseReleased
 * 
 * @author Ulrich Mller
 * @version Java 6 - BlueJ 07.04.10
 */
public class SwingMouse extends JFrame implements MouseListener {
    private JLabel lblStatus;
    private JButton cmdLinks;
    private JButton cmdRechts;
    
    private FishFace ft;

    /**
     * JFrame-Form mit Statusfeld und Buttons fr Motor Rechts/Links
     */
    public SwingMouse() {
        setTitle("Robo Interface mit Maus");
        setLayout(new GridLayout(3, 1));
        
        lblStatus = new JLabel("Motor an M3", JLabel.CENTER);
        add(lblStatus);
        cmdLinks = new JButton("Links");
        cmdLinks.addMouseListener(this);
        add(cmdLinks);
        cmdRechts = new JButton("Rechts");
        cmdRechts.addMouseListener(this);        
        add(cmdRechts);
        
        ft = new FishFace();
        ft.openInterface(0, 0);
    }
    /**
     * Starten des Swing-Programmes
     */
    public static void main() {
        SwingMouse frmMain = new SwingMouse();
        frmMain.setSize(280, 160);
        frmMain.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frmMain.setVisible(true);
    }
    
    /**
     * Einschalten Motor an M3
     */
    public void mousePressed(MouseEvent e) {
        Object cmd = e.getSource();
        if(cmd == cmdLinks) {
            ft.setMotor(Mot.M3, Dir.Left);
            lblStatus.setText("M3 : Links");
        }
        else if(cmd == cmdRechts) {
            ft.setMotor(Mot.M3, Dir.Right);
            lblStatus.setText("M3 : Rechts");
        }
    }
    /**
     * Abschalten Motor an M3
     */
    public void mouseReleased(MouseEvent e) {
        ft.setMotor(Mot.M3, Dir.Off);
        lblStatus.setText("M3 : Aus");
    }
    public void mouseEntered(MouseEvent e) {}
    public void mouseExited (MouseEvent e) {}
    public void mouseClicked(MouseEvent e) {}

}
